// GET has no body parameters
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$payoutId = '180926177';
$response = $api->PayOuts->GetRefunds($payoutId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myPayout = {
Id: '174860560',
}
const getPayoutRefunds = async (payoutId) => {
return await mangopay.PayOuts.getRefunds(payoutId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
getPayoutRefunds(myPayout.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def listPayoutRefunds(payoutId)
begin
response = MangoPay::PayOut.refunds(payoutId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch refunds: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myPayout = {
Id: '151981274'
}
listPayoutRefunds(myPayout[:Id])
iimport com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.Refund;
import java.util.List;
public class ListPayoutRefunds {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var payOutId = "po_m_01J2BX08NQ1G7CBS28NZ71YGQT";
List<Refund> refunds = mangopay.getPayOutApi().getRefunds(payOutId);
for (Refund refund : refunds) {
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(refund);
System.out.println(prettyJson);
}
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.resources import NaturalUser, Refund, BankWirePayOut
natural_user = NaturalUser.get('213753890')
natural_user_wallet_id = '213754077'
payout = BankWirePayOut.get('214681617')
payout_refund = Refund(
id = payout.id,
author = natural_user,
payout = payout
)
payout_refunds = BankWirePayOut.get_refunds(self = payout_refund)
for payout_refund in payout_refunds:
pprint(vars(payout_refund))
using MangoPay.SDK;
using MangoPay.SDK.Entities;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var payoutId = "po_m_01J3ZJYJQ4JSDP393YGKAAYT7F";
var viewPayoutRefunds = await api.Refunds.GetRefundsForPayOutAsync(payoutId, new Pagination(1, 100), null);
string prettyPrint = JsonConvert.SerializeObject(viewPayoutRefunds, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
[
{
"Id": "refund_m_01JJ22Z1JGMFEHB5P4B5DZ8CCQ",
"Tag": null,
"CreationDate": 1734628083,
"AuthorId": "user_m_01JJ22ZEP6JQQ5KMBPHBGYFQBG",
"CreditedUserId": null,
"DebitedFunds": {
"Currency": "EUR",
"Amount": 12000
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 12000
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1734628084,
"Type": "PAYIN",
"Nature": "REFUND",
"InitialTransactionId": "po_m_01JJ2303Q94M2SNSFEX4M3W3N0",
"InitialTransactionType": "PAYOUT",
"InitialTransactionNature": "REGULAR",
"DebitedWalletId": null,
"CreditedWalletId": "wlt_m_01JJ230JF16SKNVFR2FRPHEZWZ"
}
]
Refunds
List Refunds for a Payout
GET
/
v2.01
/
{ClientId}
/
payouts
/
{PayoutId}
/
refunds
// GET has no body parameters
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$payoutId = '180926177';
$response = $api->PayOuts->GetRefunds($payoutId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myPayout = {
Id: '174860560',
}
const getPayoutRefunds = async (payoutId) => {
return await mangopay.PayOuts.getRefunds(payoutId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
getPayoutRefunds(myPayout.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def listPayoutRefunds(payoutId)
begin
response = MangoPay::PayOut.refunds(payoutId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch refunds: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myPayout = {
Id: '151981274'
}
listPayoutRefunds(myPayout[:Id])
iimport com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.Refund;
import java.util.List;
public class ListPayoutRefunds {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var payOutId = "po_m_01J2BX08NQ1G7CBS28NZ71YGQT";
List<Refund> refunds = mangopay.getPayOutApi().getRefunds(payOutId);
for (Refund refund : refunds) {
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(refund);
System.out.println(prettyJson);
}
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.resources import NaturalUser, Refund, BankWirePayOut
natural_user = NaturalUser.get('213753890')
natural_user_wallet_id = '213754077'
payout = BankWirePayOut.get('214681617')
payout_refund = Refund(
id = payout.id,
author = natural_user,
payout = payout
)
payout_refunds = BankWirePayOut.get_refunds(self = payout_refund)
for payout_refund in payout_refunds:
pprint(vars(payout_refund))
using MangoPay.SDK;
using MangoPay.SDK.Entities;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var payoutId = "po_m_01J3ZJYJQ4JSDP393YGKAAYT7F";
var viewPayoutRefunds = await api.Refunds.GetRefundsForPayOutAsync(payoutId, new Pagination(1, 100), null);
string prettyPrint = JsonConvert.SerializeObject(viewPayoutRefunds, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
[
{
"Id": "refund_m_01JJ22Z1JGMFEHB5P4B5DZ8CCQ",
"Tag": null,
"CreationDate": 1734628083,
"AuthorId": "user_m_01JJ22ZEP6JQQ5KMBPHBGYFQBG",
"CreditedUserId": null,
"DebitedFunds": {
"Currency": "EUR",
"Amount": 12000
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 12000
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1734628084,
"Type": "PAYIN",
"Nature": "REFUND",
"InitialTransactionId": "po_m_01JJ2303Q94M2SNSFEX4M3W3N0",
"InitialTransactionType": "PAYOUT",
"InitialTransactionNature": "REGULAR",
"DebitedWalletId": null,
"CreditedWalletId": "wlt_m_01JJ230JF16SKNVFR2FRPHEZWZ"
}
]
This call returns the refund for a payout, which is known as a payout return or return of funds.
A payout return is only generated by Mangopay. For more information, see the payout returns guide.
Query parameters
string
Allowed values:
CREATED, SUCCEEDED, FAILEDThe status of the transaction. You can filter on multiple values by separating them with a comma.string
The code indicating the result of the operation. You can filter on multiple values by separating them with a comma.
Unix timestamp
The date before which the transaction was created (based on the transaction’s
CreationDate parameter). You can filter on a specific time range by using both the AfterDate and BeforeDate query parameters.Unix timestamp
The date after which the transaction was created (based on the transaction’s
CreationDate parameter). You can filter on a specific time range by using both the AfterDate and BeforeDate query parameters.Path parameters
string
required
The unique identifier of the payout.
Responses
200
200
array
The list of payout refunds created for the platform.
Show properties
Show properties
object
The refund created by the platform.
Show properties
Show properties
string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
Unix timestamp
The date and time at which the object was created.
string
The unique identifier of the user at the source of the initial transaction.
string
Default value: The unique identifier of the owner of the credited wallet.The unique identifier of the user whose wallet is credited.
object
Default value: The amount and currency values of the debited funds of the initial transaction.Information about the debited funds. Debited funds:
- Takes by default the amount and currency values of the initial transaction when left empty.
- Must be entered manually to perform a partial refund.
- Cannot exceed the initial transaction
CreditedFundsvalue when entered manually. This also applies to the sum of debited funds when making multiple partial refunds.
Show properties
Show properties
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the debited funds.
object
Information about the credited funds (
CreditedFunds = DebitedFunds - Fees).Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the credited funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
Default value: The amount and currency values of the fees of the initial transaction.Information about the fees. This value:
- Should be preceded by a minus sign (-) to refund the fees, otherwise more fees will be taken.
- Takes by default the amount and currency values of the fees of the initial transaction when left empty (preceded by a -).
- Cannot exceed the initial transaction fees amount when entered manually. This also applies to the sum of the amount of the fees when making multiple partial refunds.
Show properties
Show properties
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the debited funds.
string
Returned values:
CREATED, SUCCEEDED, FAILEDThe status of the transaction.string
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
string
The explanation of the result code.
Unix timestamp
The date and time at which the status changed to
SUCCEEDED, indicating that the transaction occurred. The statuses CREATED and FAILED return an ExecutionDate of null.string
Returned values:
PAYIN, TRANSFER, CONVERSION, PAYOUTThe type of the transaction.string
Returned values:
REGULAR, REPUDIATION, REFUND, SETTLEMENTThe nature of the transaction, providing more information about the context in which the transaction occurred:REGULAR– Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.REPUDIATION– Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).REFUND– Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).SETTLEMENT– Transfer made to the repudiation wallet by the platform to settle a lost dispute.
string
The unique identifier of the debited wallet.
string
The unique identifier of the credited wallet.
[
{
"Id": "refund_m_01JJ22Z1JGMFEHB5P4B5DZ8CCQ",
"Tag": null,
"CreationDate": 1734628083,
"AuthorId": "user_m_01JJ22ZEP6JQQ5KMBPHBGYFQBG",
"CreditedUserId": null,
"DebitedFunds": {
"Currency": "EUR",
"Amount": 12000
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 12000
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1734628084,
"Type": "PAYIN",
"Nature": "REFUND",
"InitialTransactionId": "po_m_01JJ2303Q94M2SNSFEX4M3W3N0",
"InitialTransactionType": "PAYOUT",
"InitialTransactionNature": "REGULAR",
"DebitedWalletId": null,
"CreditedWalletId": "wlt_m_01JJ230JF16SKNVFR2FRPHEZWZ"
}
]
// GET has no body parameters
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$payoutId = '180926177';
$response = $api->PayOuts->GetRefunds($payoutId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myPayout = {
Id: '174860560',
}
const getPayoutRefunds = async (payoutId) => {
return await mangopay.PayOuts.getRefunds(payoutId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
getPayoutRefunds(myPayout.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def listPayoutRefunds(payoutId)
begin
response = MangoPay::PayOut.refunds(payoutId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch refunds: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myPayout = {
Id: '151981274'
}
listPayoutRefunds(myPayout[:Id])
iimport com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.Refund;
import java.util.List;
public class ListPayoutRefunds {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var payOutId = "po_m_01J2BX08NQ1G7CBS28NZ71YGQT";
List<Refund> refunds = mangopay.getPayOutApi().getRefunds(payOutId);
for (Refund refund : refunds) {
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(refund);
System.out.println(prettyJson);
}
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.resources import NaturalUser, Refund, BankWirePayOut
natural_user = NaturalUser.get('213753890')
natural_user_wallet_id = '213754077'
payout = BankWirePayOut.get('214681617')
payout_refund = Refund(
id = payout.id,
author = natural_user,
payout = payout
)
payout_refunds = BankWirePayOut.get_refunds(self = payout_refund)
for payout_refund in payout_refunds:
pprint(vars(payout_refund))
using MangoPay.SDK;
using MangoPay.SDK.Entities;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var payoutId = "po_m_01J3ZJYJQ4JSDP393YGKAAYT7F";
var viewPayoutRefunds = await api.Refunds.GetRefundsForPayOutAsync(payoutId, new Pagination(1, 100), null);
string prettyPrint = JsonConvert.SerializeObject(viewPayoutRefunds, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
Was this page helpful?
⌘I